## mistune 0.8.3

=== docs/Makefile ===
# Makefile for Sphinx documentation
#

# You can set these variables from the command line.
SPHINXOPTS    =
SPHINXBUILD   = sphinx-build
PAPER         =
BUILDDIR      = _build

# User-friendly check for sphinx-build
ifeq ($(shell which $(SPHINXBUILD) >/dev/null 2>&1; echo $$?), 1)
$(error The '$(SPHINXBUILD)' command was not found. Make sure you have Sphinx installed, then set the SPHINXBUILD environment variable to point to the full path of the '$(SPHINXBUILD)' executable. Alternatively you can add the directory with the executable to your PATH. If you don't have Sphinx installed, grab it from http://sphinx-doc.org/)
endif

# Internal variables.
PAPEROPT_a4     = -D latex_paper_size=a4
PAPEROPT_letter = -D latex_paper_size=letter
ALLSPHINXOPTS   = -d $(BUILDDIR)/doctrees $(PAPEROPT_$(PAPER)) $(SPHINXOPTS) .
# the i18n builder cannot share the environment and doctrees with the others
I18NSPHINXOPTS  = $(PAPEROPT_$(PAPER)) $(SPHINXOPTS) .

.PHONY: help clean html dirhtml singlehtml pickle json htmlhelp qthelp devhelp epub latex latexpdf text man changes linkcheck doctest gettext

help:
	@echo "Please use \`make <target>' where <target> is one of"
	@echo "  html       to make standalone HTML files"
	@echo "  dirhtml    to make HTML files named index.html in directories"
	@echo "  singlehtml to make a single large HTML file"
	@echo "  pickle     to make pickle files"
	@echo "  json       to make JSON files"
	@echo "  htmlhelp   to make HTML files and a HTML help project"
	@echo "  qthelp     to make HTML files and a qthelp project"
	@echo "  devhelp    to make HTML files and a Devhelp project"
	@echo "  epub       to make an epub"
	@echo "  latex      to make LaTeX files, you can set PAPER=a4 or PAPER=letter"
	@echo "  latexpdf   to make LaTeX files and run them through pdflatex"
	@echo "  latexpdfja to make LaTeX files and run them through platex/dvipdfmx"
	@echo "  text       to make text files"
	@echo "  man        to make manual pages"
	@echo "  texinfo    to make Texinfo files"
	@echo "  info       to make Texinfo files and run them through makeinfo"
	@echo "  gettext    to make PO message catalogs"
	@echo "  changes    to make an overview of all changed/added/deprecated items"
	@echo "  xml        to make Docutils-native XML files"
	@echo "  pseudoxml  to make pseudoxml-XML files for display purposes"
	@echo "  linkcheck  to check all external links for integrity"
	@echo "  doctest    to run all doctests embedded in the documentation (if enabled)"

clean:
	rm -rf $(BUILDDIR)/*

html:
	$(SPHINXBUILD) -b html $(ALLSPHINXOPTS) $(BUILDDIR)/html
	@echo
	@echo "Build finished. The HTML pages are in $(BUILDDIR)/html."

dirhtml:
	$(SPHINXBUILD) -b dirhtml $(ALLSPHINXOPTS) $(BUILDDIR)/dirhtml
	@echo
	@echo "Build finished. The HTML pages are in $(BUILDDIR)/dirhtml."

singlehtml:
	$(SPHINXBUILD) -b singlehtml $(ALLSPHINXOPTS) $(BUILDDIR)/singlehtml
	@echo
	@echo "Build finished. The HTML page is in $(BUILDDIR)/singlehtml."

pickle:
	$(SPHINXBUILD) -b pickle $(ALLSPHINXOPTS) $(BUILDDIR)/pickle
	@echo
	@echo "Build finished; now you can process the pickle files."

json:
	$(SPHINXBUILD) -b json $(ALLSPHINXOPTS) $(BUILDDIR)/json
	@echo
	@echo "Build finished; now you can process the JSON files."

htmlhelp:
	$(SPHINXBUILD) -b htmlhelp $(ALLSPHINXOPTS) $(BUILDDIR)/htmlhelp
	@echo
	@echo "Build finished; now you can run HTML Help Workshop with the" \
	      ".hhp project file in $(BUILDDIR)/htmlhelp."

qthelp:
	$(SPHINXBUILD) -b qthelp $(ALLSPHINXOPTS) $(BUILDDIR)/qthelp
	@echo
	@echo "Build finished; now you can run "qcollectiongenerator" with the" \
	      ".qhcp project file in $(BUILDDIR)/qthelp, like this:"
	@echo "# qcollectiongenerator $(BUILDDIR)/qthelp/otpauth.qhcp"
	@echo "To view the help file:"
	@echo "# assistant -collectionFile $(BUILDDIR)/qthelp/otpauth.qhc"

devhelp:
	$(SPHINXBUILD) -b devhelp $(ALLSPHINXOPTS) $(BUILDDIR)/devhelp
	@echo
	@echo "Build finished."
	@echo "To view the help file:"
	@echo "# mkdir -p $$HOME/.local/share/devhelp/otpauth"
	@echo "# ln -s $(BUILDDIR)/devhelp $$HOME/.local/share/devhelp/otpauth"
	@echo "# devhelp"

epub:
	$(SPHINXBUILD) -b epub $(ALLSPHINXOPTS) $(BUILDDIR)/epub
	@echo
	@echo "Build finished. The epub file is in $(BUILDDIR)/epub."

latex:
	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) $(BUILDDIR)/latex
	@echo
	@echo "Build finished; the LaTeX files are in $(BUILDDIR)/latex."
	@echo "Run \`make' in that directory to run these through (pdf)latex" \
	      "(use \`make latexpdf' here to do that automatically)."

latexpdf:
	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) $(BUILDDIR)/latex
	@echo "Running LaTeX files through pdflatex..."
	$(MAKE) -C $(BUILDDIR)/latex all-pdf
	@echo "pdflatex finished; the PDF files are in $(BUILDDIR)/latex."

latexpdfja:
	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) $(BUILDDIR)/latex
	@echo "Running LaTeX files through platex and dvipdfmx..."
	$(MAKE) -C $(BUILDDIR)/latex all-pdf-ja
	@echo "pdflatex finished; the PDF files are in $(BUILDDIR)/latex."

text:
	$(SPHINXBUILD) -b text $(ALLSPHINXOPTS) $(BUILDDIR)/text
	@echo
	@echo "Build finished. The text files are in $(BUILDDIR)/text."

man:
	$(SPHINXBUILD) -b man $(ALLSPHINXOPTS) $(BUILDDIR)/man
	@echo
	@echo "Build finished. The manual pages are in $(BUILDDIR)/man."

texinfo:
	$(SPHINXBUILD) -b texinfo $(ALLSPHINXOPTS) $(BUILDDIR)/texinfo
	@echo
	@echo "Build finished. The Texinfo files are in $(BUILDDIR)/texinfo."
	@echo "Run \`make' in that directory to run these through makeinfo" \
	      "(use \`make info' here to do that automatically)."

info:
	$(SPHINXBUILD) -b texinfo $(ALLSPHINXOPTS) $(BUILDDIR)/texinfo
	@echo "Running Texinfo files through makeinfo..."
	make -C $(BUILDDIR)/texinfo info
	@echo "makeinfo finished; the Info files are in $(BUILDDIR)/texinfo."

gettext:
	$(SPHINXBUILD) -b gettext $(I18NSPHINXOPTS) $(BUILDDIR)/locale
	@echo
	@echo "Build finished. The message catalogs are in $(BUILDDIR)/locale."

changes:
	$(SPHINXBUILD) -b changes $(ALLSPHINXOPTS) $(BUILDDIR)/changes
	@echo
	@echo "The overview file is in $(BUILDDIR)/changes."

linkcheck:
	$(SPHINXBUILD) -b linkcheck $(ALLSPHINXOPTS) $(BUILDDIR)/linkcheck
	@echo
	@echo "Link check complete; look for any errors in the above output " \
	      "or in $(BUILDDIR)/linkcheck/output.txt."

doctest:
	$(SPHINXBUILD) -b doctest $(ALLSPHINXOPTS) $(BUILDDIR)/doctest
	@echo "Testing of doctests in the sources finished, look at the " \
	      "results in $(BUILDDIR)/doctest/output.txt."

xml:
	$(SPHINXBUILD) -b xml $(ALLSPHINXOPTS) $(BUILDDIR)/xml
	@echo
	@echo "Build finished. The XML files are in $(BUILDDIR)/xml."

pseudoxml:
	$(SPHINXBUILD) -b pseudoxml $(ALLSPHINXOPTS) $(BUILDDIR)/pseudoxml
	@echo
	@echo "Build finished. The pseudo-XML files are in $(BUILDDIR)/pseudoxml."

## mistune 0.6

=== debian/changelog ===
mistune (0.6-2) unstable; urgency=medium

  * Team upload.
  * Fix team e-mail address (closes: #789544).

 -- Dmitry Shachnev <mitya57@debian.org>  Mon, 22 Jun 2015 11:43:56 +0300

mistune (0.6-1) unstable; urgency=medium

  * Initial release. (Closes: #779472)

 -- Julien Puydt <julien.puydt@laposte.net>  Wed, 17 Jun 2015 11:25:13 +0200

=== debian/control ===
Source: mistune
Maintainer: Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>
Uploaders: Julien Puydt <julien.puydt@laposte.net>
Section: python
Priority: optional
Standards-Version: 3.9.6
Homepage: https://github.com/lepture/mistune
Build-Depends: debhelper (>= 9), dh-python, python, python-setuptools, python-nose, python3, python3-setuptools, python3-nose
X-Python-Version: >= 2.7
X-Python3-Version: >= 3.2
Vcs-Git: git://anonscm.debian.org/python-modules/packages/mistune.git
Vcs-Browser: http://anonscm.debian.org/cgit/python-modules/packages/mistune.git

Package: python-mistune
Architecture: all
Depends: ${python:Depends}, ${misc:Depends}
Description: Markdown parser for Python 2
 The fastest markdown parser in pure Python, inspired by marked.
 .
 This package installs the library for Python 2.

Package: python3-mistune
Architecture: all
Depends: ${python3:Depends}, ${misc:Depends}
Description: Markdown parser for Python 3
 The fastest markdown parser in pure Python, inspired by marked.
 .
 This package installs the library for Python 3.

=== debian/rules ===
#!/usr/bin/make -f

#export DH_VERBOSE=1
export PYBUILD_NAME=mistune

%:
	dh $@ --with python2,python3 --buildsystem=pybuild

## mistune 0.7.1

=== debian/changelog ===
mistune (0.7.1-1) unstable; urgency=medium

  [ Julien Puydt ]
  * New upstream release.
  * Put myself as sole maintainer.

  [ Tristan Seligmann ]
  * Run the tests during build.
  * Add myself to Uploaders.

 -- Tristan Seligmann <mithrandi@debian.org>  Fri, 02 Oct 2015 09:49:02 +0200

=== debian/control ===
--- 
+++ 
@@ -1,6 +1,6 @@
 Source: mistune
-Maintainer: Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>
-Uploaders: Julien Puydt <julien.puydt@laposte.net>
+Maintainer: Julien Puydt <julien.puydt@laposte.net>
+Uploaders: Tristan Seligmann <mithrandi@debian.org>
 Section: python
 Priority: optional
 Standards-Version: 3.9.6

=== debian/watch ===
version=3
opts=uversionmangle=s/(rc|a|b|c)/~$1/ \
http://pypi.debian.net/mistune/mistune-(.+)\.(?:zip|tgz|tbz|txz|(?:tar\.(?:gz|bz2|xz)))

## mistune 0.7.3

=== debian/changelog ===
mistune (0.7.3-1) unstable; urgency=medium

  * New upstream release.
  * Bump standards-version to 3.9.8.
  * Explicitly declare as team-maintained.

 -- Julien Puydt <julien.puydt@laposte.net>  Sun, 03 Jul 2016 14:09:02 +0200

mistune (0.7.2-1) unstable; urgency=medium

  [ Ondřej Nový ]
  * Fixed VCS URL (https)

  [ Tristan Seligmann ]
  * New upstream release.
  * Bump Standards-Version to 3.9.7 (no changes).

 -- Tristan Seligmann <mithrandi@debian.org>  Wed, 06 Apr 2016 22:05:25 +0200

=== debian/control ===
--- 
+++ 
@@ -1,15 +1,16 @@
 Source: mistune
-Maintainer: Julien Puydt <julien.puydt@laposte.net>
-Uploaders: Tristan Seligmann <mithrandi@debian.org>
+Maintainer: Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>
+Uploaders: Julien Puydt <julien.puydt@laposte.net>,
+           Tristan Seligmann <mithrandi@debian.org>
 Section: python
 Priority: optional
-Standards-Version: 3.9.6
+Standards-Version: 3.9.8
 Homepage: https://github.com/lepture/mistune
 Build-Depends: debhelper (>= 9), dh-python, python, python-setuptools, python-nose, python3, python3-setuptools, python3-nose
 X-Python-Version: >= 2.7
 X-Python3-Version: >= 3.2
-Vcs-Git: git://anonscm.debian.org/python-modules/packages/mistune.git
-Vcs-Browser: http://anonscm.debian.org/cgit/python-modules/packages/mistune.git
+Vcs-Git: https://anonscm.debian.org/git/python-modules/packages/mistune.git
+Vcs-Browser: https://anonscm.debian.org/cgit/python-modules/packages/mistune.git
 
 Package: python-mistune
 Architecture: all

## mistune 0.7.4

=== debian/changelog ===
mistune (0.7.4-1) unstable; urgency=medium

  * New upstream release.
  * Push standards-version to 4.0.0.
  * Rewrite d/watch to point directly to upstream.

 -- Julien Puydt <julien.puydt@laposte.net>  Sat, 01 Jul 2017 23:15:03 +0200

=== debian/control ===
--- 
+++ 
@@ -4,7 +4,7 @@
            Tristan Seligmann <mithrandi@debian.org>
 Section: python
 Priority: optional
-Standards-Version: 3.9.8
+Standards-Version: 4.0.0
 Homepage: https://github.com/lepture/mistune
 Build-Depends: debhelper (>= 9), dh-python, python, python-setuptools, python-nose, python3, python3-setuptools, python3-nose
 X-Python-Version: >= 2.7

=== debian/watch ===
version=3
opts=\
filenamemangle=s/.*\/v?([\d\.-]+)\.tar\.gz/mistune-$1.tar.gz/ \
https://github.com/lepture/mistune/tags .*/archive/v?([\d\.]+).tar.gz

## mistune 0.8

=== debian/changelog ===
mistune (0.8-1) unstable; urgency=medium

  * Bump d/watch to version 4.
  * Bump std-ver to 4.1.1.
  * New upstream release (Closes: #879098 [CVE-2017-15612]).
  * Bump dh compat to 10.

 -- Julien Puydt <julien.puydt@laposte.net>  Fri, 27 Oct 2017 10:23:54 +0200

=== debian/control ===
--- 
+++ 
@@ -4,9 +4,9 @@
            Tristan Seligmann <mithrandi@debian.org>
 Section: python
 Priority: optional
-Standards-Version: 4.0.0
+Standards-Version: 4.1.1
 Homepage: https://github.com/lepture/mistune
-Build-Depends: debhelper (>= 9), dh-python, python, python-setuptools, python-nose, python3, python3-setuptools, python3-nose
+Build-Depends: debhelper (>= 10), dh-python, python, python-setuptools, python-nose, python3, python3-setuptools, python3-nose
 X-Python-Version: >= 2.7
 X-Python3-Version: >= 3.2
 Vcs-Git: https://anonscm.debian.org/git/python-modules/packages/mistune.git

## mistune 0.8.1

=== debian/changelog ===
mistune (0.8.1-1) unstable; urgency=medium

  * New upstream release.
  * Run upstream testsuite as autopkgtest.

 -- Julien Puydt <julien.puydt@laposte.net>  Tue, 21 Nov 2017 15:48:51 +0100

=== debian/control ===
--- 
+++ 
@@ -16,7 +16,8 @@
 Architecture: all
 Depends: ${python:Depends}, ${misc:Depends}
 Description: Markdown parser for Python 2
- The fastest markdown parser in pure Python, inspired by marked.
+ A fast markdown parser in pure Python, inspired by marked, also providing
+ renderer features.
  .
  This package installs the library for Python 2.
 
@@ -24,6 +25,7 @@
 Architecture: all
 Depends: ${python3:Depends}, ${misc:Depends}
 Description: Markdown parser for Python 3
- The fastest markdown parser in pure Python, inspired by marked.
+ A fast markdown parser in pure Python, inspired by marked, also providing
+ renderer features.
  .
  This package installs the library for Python 3.

## mistune 0.8.3

=== debian/changelog ===
mistune (0.8.3-2) unstable; urgency=medium

  [ Ondřej Nový ]
  * d/control: Set Vcs-* to salsa.debian.org
  * d/copyright: Fix Format URL to correct one

  [ Tristan Seligmann ]
  * Bump Standards-Version to 4.1.3 (no changes).

 -- Tristan Seligmann <mithrandi@debian.org>  Sun, 18 Feb 2018 05:59:18 +0200

mistune (0.8.3-1) unstable; urgency=medium

  * New upstream release.
  * Bump std-ver to 4.1.2.0.

 -- Julien Puydt <julien.puydt@laposte.net>  Fri, 08 Dec 2017 10:03:09 +0100

=== debian/control ===
--- 
+++ 
@@ -4,13 +4,13 @@
            Tristan Seligmann <mithrandi@debian.org>
 Section: python
 Priority: optional
-Standards-Version: 4.1.1
+Standards-Version: 4.1.3
 Homepage: https://github.com/lepture/mistune
 Build-Depends: debhelper (>= 10), dh-python, python, python-setuptools, python-nose, python3, python3-setuptools, python3-nose
 X-Python-Version: >= 2.7
 X-Python3-Version: >= 3.2
-Vcs-Git: https://anonscm.debian.org/git/python-modules/packages/mistune.git
-Vcs-Browser: https://anonscm.debian.org/cgit/python-modules/packages/mistune.git
+Vcs-Git: https://salsa.debian.org/python-team/modules/mistune.git
+Vcs-Browser: https://salsa.debian.org/python-team/modules/mistune
 
 Package: python-mistune
 Architecture: all

=== debian/rules ===
#!/usr/bin/make -f

#export DH_VERBOSE=1
export PYBUILD_NAME=mistune
export PYBUILD_BEFORE_TEST=cp -r {dir}/tests {build_dir}

%:
	dh $@ --with python2,python3 --buildsystem=pybuild

=== debian/tests/control ===
Tests: runtestsuite2
Depends: python-mistune, python-nose

Tests: runtestsuite3
Depends: python3-mistune, python3-nose

=== debian/watch ===
version=4
opts=\
filenamemangle=s/.*\/v?([\d\.-]+)\.tar\.gz/mistune-$1.tar.gz/ \
https://github.com/lepture/mistune/tags .*/archive/v?([\d\.]+).tar.gz

## mistune 0.8.4

=== debian/changelog ===
mistune (0.8.4-2) unstable; urgency=medium

  [ Ondřej Nový ]
  * d/changelog: Remove trailing whitespaces.
  * Use debhelper-compat instead of debian/compat.

  [ Sandro Tosi ]
  * Drop python2 support; Closes: #937053

 -- Sandro Tosi <morph@debian.org>  Tue, 12 Nov 2019 17:47:25 -0500

mistune (0.8.4-1) unstable; urgency=medium

  [ Ondřej Nový ]
  * d/control: Remove ancient X-Python-Version field
  * d/control: Remove ancient X-Python3-Version field
  * Convert git repository from git-dpm to gbp layout

  [ Julien Puydt ]
  * New upstream release.
  * Refresh packaging:
    - Use my debian.org mail address.
    - Update dates in d/copyright.
    - Bump dh compat to 11.
    - Bump std-ver to 4.2.1.

 -- Julien Puydt <jpuydt@debian.org>  Tue, 16 Oct 2018 07:07:34 +0200

=== debian/control ===
Source: mistune
Maintainer: Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>
Uploaders: Julien Puydt <jpuydt@debian.org>,
           Tristan Seligmann <mithrandi@debian.org>
Section: python
Priority: optional
Standards-Version: 4.2.1
Homepage: https://github.com/lepture/mistune
Build-Depends: debhelper-compat (= 11), dh-python, python3, python3-setuptools, python3-nose
Vcs-Git: https://salsa.debian.org/python-team/modules/mistune.git
Vcs-Browser: https://salsa.debian.org/python-team/modules/mistune

Package: python3-mistune
Architecture: all
Depends: ${python3:Depends}, ${misc:Depends}
Description: Markdown parser for Python 3
 A fast markdown parser in pure Python, inspired by marked, also providing
 renderer features.
 .
 This package installs the library for Python 3.

=== debian/tests/control ===
Tests: runtestsuite3
Depends: python3-mistune, python3-nose

## mistune 2.0.0

=== debian/changelog ===
mistune (2.0.0-1) unstable; urgency=medium

  * Team upload
  * New upstream release 2.0.0
  * d/p/0001: Readd temporarily a setup.py until python3-build is properly
    supported in unstable

 -- Pierre-Elliott Bécue <peb@debian.org>  Sun, 05 Dec 2021 18:07:14 +0100

mistune (2.0.0~rc1-1~exp1) experimental; urgency=medium

  * Team upload

  [ Debian Janitor ]
  * Update standards version to 4.5.1, no changes needed.

  [ Pierre-Elliott Bécue ]
  * New upstream release 2.0.0rc1
  * Bump std-ver to 4.6.0.
  * Update d/copyright

 -- Pierre-Elliott Bécue <peb@debian.org>  Mon, 29 Nov 2021 22:06:15 +0100

mistune (0.8.4-5) unstable; urgency=medium

  [ Julien Puydt ]
  * Fix d/watch.

  [ Sandro Tosi ]
  * debian/control
    - use proper team email address

 -- Sandro Tosi <morph@debian.org>  Wed, 25 Aug 2021 00:11:20 -0400

mistune (0.8.4-4) unstable; urgency=medium

  [ Ondřej Nový ]
  * d/control: Update Vcs-* fields with new Debian Python Team Salsa
    layout.

  [ Julien Puydt ]
  * Declare d/rules doesn't require root.
  * Bump dh compat to 13.

 -- Julien Puydt <jpuydt@debian.org>  Mon, 12 Oct 2020 22:56:53 +0200

mistune (0.8.4-3) unstable; urgency=medium

  [ Debian Janitor ]
  * Bump debhelper from old 11 to 12.
  * Set upstream metadata fields: Repository, Repository-Browse.
  * Set upstream metadata fields: Bug-Database, Bug-Submit.

  [ Julien Puydt ]
  * Update team mailing list address.
  * Bump std-ver to 4.5.0.

 -- Julien Puydt <jpuydt@debian.org>  Wed, 08 Jul 2020 16:32:31 +0200

=== debian/control ===
Source: mistune
Maintainer: Debian Python Modules Team <team+python@tracker.debian.org>
Uploaders: Julien Puydt <jpuydt@debian.org>,
           Tristan Seligmann <mithrandi@debian.org>
Section: python
Priority: optional
Standards-Version: 4.6.0
Homepage: https://github.com/lepture/mistune
Build-Depends: debhelper-compat (= 13),
               dh-python,
               python3-all,
               python3-pytest,
               python3-setuptools
Rules-Requires-Root: no
Vcs-Git: https://salsa.debian.org/python-team/packages/mistune.git
Vcs-Browser: https://salsa.debian.org/python-team/packages/mistune

Package: python3-mistune
Architecture: all
Depends: ${misc:Depends}, ${python3:Depends}
Description: Markdown parser for Python 3
 A fast markdown parser in pure Python, inspired by marked, also providing
 renderer features.
 .
 This package installs the library for Python 3.

## mistune 2.0.0-1+really0.8.4

=== debian/changelog ===
mistune (2.0.0-1+really0.8.4-1) unstable; urgency=medium

  * Team upload
  * Rollback to 0.8.4 due to reverse-dependencies not ready yet.
  * Drop d/p/0001.

 -- Pierre-Elliott Bécue <peb@debian.org>  Tue, 11 Jan 2022 21:39:47 +0100

=== debian/control ===
--- 
+++ 
@@ -8,8 +8,8 @@
 Homepage: https://github.com/lepture/mistune
 Build-Depends: debhelper-compat (= 13),
                dh-python,
-               python3-all,
-               python3-pytest,
+               python3,
+               python3-nose,
                python3-setuptools
 Rules-Requires-Root: no
 Vcs-Git: https://salsa.debian.org/python-team/packages/mistune.git

=== debian/rules ===
#!/usr/bin/make -f

#export DH_VERBOSE=1
export PYBUILD_NAME=mistune
export PYBUILD_BEFORE_TEST=cp -r {dir}/tests {build_dir}

%:
	dh $@ --with python3 --buildsystem=pybuild

## mistune 2.0.2

=== debian/changelog ===
mistune (2.0.2-1) unstable; urgency=medium

  * Team upload
  * New upstream release 2.0.2

 -- Pierre-Elliott Bécue <peb@debian.org>  Thu, 31 Mar 2022 16:12:53 +0200

mistune (2.0.0.0+really2.0.0-1) unstable; urgency=medium

  * Team upload
  * Releasing mistune 2.0.0 again

 -- Pierre-Elliott Bécue <peb@debian.org>  Thu, 31 Mar 2022 13:54:52 +0200

mistune (2.0.0.0+really2.0.0-1~exp1) experimental; urgency=medium

  * Team upload
  * Preparing the return of mistune to 2.0.0 in experimental
    - Screwed versioning because of the "-1" that I accidentally kept in the
    previous release in upstream's version scheme…
  * Use pybuild-plugin-pyproject as a builder

 -- Pierre-Elliott Bécue <peb@debian.org>  Wed, 12 Jan 2022 21:26:40 +0100

=== debian/control ===
--- 
+++ 
@@ -8,8 +8,9 @@
 Homepage: https://github.com/lepture/mistune
 Build-Depends: debhelper-compat (= 13),
                dh-python,
-               python3,
-               python3-nose,
+               pybuild-plugin-pyproject,
+               python3-all,
+               python3-pytest,
                python3-setuptools
 Rules-Requires-Root: no
 Vcs-Git: https://salsa.debian.org/python-team/packages/mistune.git

## mistune 2.0.3

=== debian/changelog ===
mistune (2.0.3-1) unstable; urgency=medium

  * New upstream release.
  * Bump standards-version to 4.6.1.

 -- Julien Puydt <jpuydt@debian.org>  Sun, 10 Jul 2022 15:52:15 +0200

## mistune 2.0.4

=== Makefile ===
.PHONY: clean-pyc clean-build docs

test:
	@pytest -s

coverage:
	@pytest --cov=mistune

clean: clean-build clean-pyc clean-docs

build:
	@python3 -m build

clean-build:
	@rm -fr build/
	@rm -fr dist/
	@rm -fr *.egg-info
	@rm -f mistune.c
	@rm -fr .coverage


clean-pyc:
	@find . -name '*.pyc' -exec rm -f {} +
	@find . -name '*.pyo' -exec rm -f {} +
	@find . -name '*~' -exec rm -f {} +
	@find . -name '__pycache__' -exec rm -fr {} +

clean-docs:
	@rm -fr  docs/_build

docs:
	@$(MAKE) -C docs html

publish:
	@twine upload dist/*.tar.gz
	@twine upload dist/*.whl

.PHONY: build

=== debian/changelog ===
mistune (2.0.4-1) unstable; urgency=medium

  * New upstream release.

 -- Julien Puydt <jpuydt@debian.org>  Tue, 19 Jul 2022 09:37:22 +0200

=== debian/control ===
--- 
+++ 
@@ -4,7 +4,7 @@
            Tristan Seligmann <mithrandi@debian.org>
 Section: python
 Priority: optional
-Standards-Version: 4.6.0
+Standards-Version: 4.6.1
 Homepage: https://github.com/lepture/mistune
 Build-Depends: debhelper-compat (= 13),
                dh-python,

=== debian/rules ===
#!/usr/bin/make -f

#export DH_VERBOSE=1
export PYBUILD_NAME=mistune
export PYBUILD_BEFORE_TEST=cp -r {dir}/tests {build_dir} && cp -a {dir}/syntax.md {build_dir}
export PYBUILD_AFTER_TEST=rm -f {build_dir}/syntax.md && rm -rf {build_dir}/tests

%:
	dh $@ --with python3 --buildsystem=pybuild

## mistune 3.0.2

=== debian/changelog ===
mistune (3.0.2-1) unstable; urgency=medium

  * New upstream release.
  * Bump standards-version to 4.6.2.

 -- Julien Puydt <jpuydt@debian.org>  Tue, 12 Dec 2023 15:27:59 +0100

mistune (2.0.4-2) unstable; urgency=medium

  * Team upload
  * Remove retired uploader

 -- Bastian Germann <bage@debian.org>  Thu, 13 Jul 2023 14:36:09 +0200

=== debian/control ===
--- 
+++ 
@@ -1,10 +1,9 @@
 Source: mistune
 Maintainer: Debian Python Modules Team <team+python@tracker.debian.org>
 Uploaders: Julien Puydt <jpuydt@debian.org>,
-           Tristan Seligmann <mithrandi@debian.org>
 Section: python
 Priority: optional
-Standards-Version: 4.6.1
+Standards-Version: 4.6.2
 Homepage: https://github.com/lepture/mistune
 Build-Depends: debhelper-compat (= 13),
                dh-python,

=== debian/rules ===
#!/usr/bin/make -f

#export DH_VERBOSE=1
export PYBUILD_NAME=mistune

%:
	dh $@ --with python3 --buildsystem=pybuild

## mistune 3.1.3

=== Makefile ===
.PHONY: clean-pyc clean-build build-docs

clean: clean-build clean-pyc

clean-build:
	@rm -fr build/
	@rm -fr dist/
	@rm -fr *.egg-info
	@rm -fr .coverage


clean-pyc:
	@find . -name '*.pyc' -exec rm -f {} +
	@find . -name '*.pyo' -exec rm -f {} +
	@find . -name '*~' -exec rm -f {} +
	@find . -name '__pycache__' -exec rm -fr {} +


build-docs:
	@sphinx-build docs build/_html -a

=== debian/changelog ===
mistune (3.1.3-1) unstable; urgency=medium

  * Team upload.
  * New upstream release.
  * debian/control: Bump Standards-Version to 4.7.2.

 -- Boyuan Yang <byang@debian.org>  Mon, 31 Mar 2025 10:04:46 -0400

mistune (3.0.2-2) unstable; urgency=medium

  * Team upload.
  * debian/control: Use canonical team maintainer name and email.
  * debian/control: Bump Standards-Version to 4.7.0.
  * debian/: Use dh-sequence-python3 as build-dependency.
  * debian/control: Mark build-dep python3-pytest as <!nocheck>.

 -- Boyuan Yang <byang@debian.org>  Fri, 11 Oct 2024 11:15:27 -0400

=== debian/rules ===
#!/usr/bin/make -f

#export DH_VERBOSE=1
export PYBUILD_NAME=mistune

%:
	dh $@ --buildsystem=pybuild

## mistune 3.1.4

=== debian/changelog ===
mistune (3.1.4-1) unstable; urgency=medium

  * Team upload.
  * New upstream release.

 -- Colin Watson <cjwatson@debian.org>  Tue, 09 Sep 2025 10:27:04 +0100

=== debian/control ===
--- 
+++ 
@@ -1,16 +1,17 @@
 Source: mistune
-Maintainer: Debian Python Modules Team <team+python@tracker.debian.org>
+Maintainer: Debian Python Team <team+python@tracker.debian.org>
 Uploaders: Julien Puydt <jpuydt@debian.org>,
 Section: python
 Priority: optional
-Standards-Version: 4.6.2
+Standards-Version: 4.7.2
 Homepage: https://github.com/lepture/mistune
 Build-Depends: debhelper-compat (= 13),
-               dh-python,
+               dh-sequence-python3,
                pybuild-plugin-pyproject,
                python3-all,
-               python3-pytest,
-               python3-setuptools
+               python3-pytest <!nocheck>,
+               python3-pytest-cov <!nocheck>,
+               python3-setuptools,
 Rules-Requires-Root: no
 Vcs-Git: https://salsa.debian.org/python-team/packages/mistune.git
 Vcs-Browser: https://salsa.debian.org/python-team/packages/mistune

=== debian/tests/control ===
Tests: python3-mistune
Depends: @,
         python3-pytest,
         python3-all

=== debian/watch ===
version=4
opts=\
filenamemangle=s/.*\/v?([\d\.-]+)\.tar\.gz/mistune-$1.tar.gz/ \
https://github.com/lepture/mistune/tags .*/v?([\d\.]+).tar.gz
